🚀 Visual Navigation for Link Fields! See our changelog for details.
curl --request GET \
--url https://app.teable.ai/api/plugin/%7BpluginId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"id": "<string>",
"name": "<string>",
"logo": "<string>",
"positions": [
"dashboard"
],
"secret": "<string>",
"status": "developing",
"createdTime": "<string>",
"lastModifiedTime": "<string>",
"description": "<string>",
"detailDesc": "<string>",
"config": {
"contextMenu": {
"width": 123,
"height": 123,
"x": 123,
"y": 123,
"frozenResize": true,
"frozenDrag": true
},
"view": null,
"dashboard": null,
"panel": null
},
"url": "<string>",
"helpUrl": "<string>",
"i18n": {
"en": {
"title": "Plugin title",
"description": "Plugin description"
},
"zh": {
"title": "插件标题",
"description": "插件描述"
}
},
"pluginUser": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatar": "<string>"
}
}Get a plugin
curl --request GET \
--url https://app.teable.ai/api/plugin/%7BpluginId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"id": "<string>",
"name": "<string>",
"logo": "<string>",
"positions": [
"dashboard"
],
"secret": "<string>",
"status": "developing",
"createdTime": "<string>",
"lastModifiedTime": "<string>",
"description": "<string>",
"detailDesc": "<string>",
"config": {
"contextMenu": {
"width": 123,
"height": 123,
"x": 123,
"y": 123,
"frozenResize": true,
"frozenDrag": true
},
"view": null,
"dashboard": null,
"panel": null
},
"url": "<string>",
"helpUrl": "<string>",
"i18n": {
"en": {
"title": "Plugin title",
"description": "Plugin description"
},
"zh": {
"title": "插件标题",
"description": "插件描述"
}
},
"pluginUser": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatar": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Returns data about the plugin.
dashboard, view, contextMenu, panel developing, reviewing, published Show child attributes
{
"en": {
"title": "Plugin title",
"description": "Plugin description"
},
"zh": { "title": "插件标题", "description": "插件描述" }
}Show child attributes
Was this page helpful?